Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.translator
Class DefaultDIGRenderer

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.dig.translator.DefaultDIGRenderer

All Implemented Interfaces:
  DIGRenderer

    public class DefaultDIGRenderer

extends Object
implements DIGRenderer

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 4, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`DefaultDIGRenderer()`

Method Summary
`protected boolean` | `isSupportedAskElement(String elementTagName)`
`protected boolean` | `isSupportedLanguageElement(String elementTagName)`
`protected boolean` | `isSupportedTellElement(String elementTagName)`
`protected void` | `logErrorOrWarning(RDFResource cause, String message, String recoveryMessage)`
`boolean` | `render(OWLAllValuesFrom allRestriction, Document doc, Node parentNode)`
`protected boolean` | `render(OWLCardinalityBase cardinalityRestriction, Document doc, Node parentNode, String digTypeName)`
`boolean` | `render(OWLCardinality cardiRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLComplementClass complementCls, Document doc, Node parentNode)`
`boolean` | `render(OWLDatatypeProperty slot, Document doc, Node parentNode)`
`boolean` | `render(OWLEnumeratedClass enumerationCls, Document doc, Node parentNode)`
`boolean` | `render(OWLHasValue hasRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLIntersectionClass intersectionCls, Document doc, Node parentNode)`
`protected boolean` | `render(OWLLogicalClass logicalCls, Document doc, Node parentNode, String digTypeName)`
`boolean` | `render(OWLMaxCardinality maxCardiRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLMinCardinality minCardiRestriction, Document doc, Node parentNode)`
`void` | `render(OWLModel kb, Document doc, Node parentNode)`
`boolean` | `render(OWLNamedClass cls, Document doc, Node parentNode)`
`boolean` | `render(OWLObjectProperty slot, Document doc, Node parentNode)`
`protected boolean` | `render(OWLQuantifierRestriction quantifierRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLSomeValuesFrom someRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLUnionClass unionCls, Document doc, Node parentNode)`
`boolean` | `render(RDFIndividual instance, Document doc, Node parentNode)`
`protected boolean` | `renderAppropriateCls(RDFSClass aClass, Document doc, Node parentNode)`
`protected boolean` | `renderAppropriateSlot(edu.stanford.smi.protege.model.Slot slot, Document doc, Node parentNode)`
`void` | `renderAxioms(OWLNamedClass cls, Document doc, Node parentNode)`
`void` | `renderAxioms(OWLProperty property, Document doc, Node parentNode)`
`void` | `renderAxioms(RDFIndividual instance, Document doc, Node parentNode)`
`protected void` | `renderClasses(OWLModel kb, Document doc, Node parentNode)` Renders the classes and their axioms
`protected void` | `renderEquivalentSlots(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderFakedDifferentFrom(Collection differentFromIndividuals, Document doc, Node parentNode)`
`protected void` | `renderFunctionalSlot(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderIndividuals(OWLModel kb, Document doc, Node parentNode)`
`protected void` | `renderInverseFunctionalSlot(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderInverseSlot(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderProperties(OWLModel kb, Document doc, Node parentNode)` Renders the properties and their axioms
`boolean` | `renderQuantifierDataRestriction(OWLQuantifierRestriction quantifierRestriction, Document doc, Node parentNode)`
`boolean` | `renderQuantifierObjectRestriction(OWLQuantifierRestriction quantifierRestriction, Document doc, Node parentNode)`
`protected void` | `renderSlotDomain(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderSlotRange(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderSuperSlots(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderSymmetricSlot(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderTransitiveSlot(OWLProperty property, Document doc, Node parentNode)`
`protected void` | `renderTypes(RDFIndividual instance, Document doc, Node parentNode)`
`void` | `setReasonerIdentity(DIGReasonerIdentity reasonerIdentity)` Sets the DIG Reasoner Identity that will constrain the representation when OWLModel elements are translated to DIG.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDIGRenderer

    public DefaultDIGRenderer()

Method Detail

### setReasonerIdentity

    public void setReasonerIdentity(DIGReasonerIdentity reasonerIdentity)

  Description copied from interface: `DIGRenderer`
  Sets the DIG Reasoner Identity that will constrain the representation when OWLModel elements are translated to DIG.

  Specified by:
    `setReasonerIdentity` in interface `DIGRenderer`
  Parameters:
    `reasonerIdentity` - - The reasoner identity, or `null` if the translation to DIG should not be constrasined by the capabilities of a particular reasoner.

### renderAppropriateCls

    protected boolean renderAppropriateCls(RDFSClass aClass,
                                           Document doc,
                                           Node parentNode)
                                    throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderAppropriateSlot

    protected boolean renderAppropriateSlot(edu.stanford.smi.protege.model.Slot slot,
                                            Document doc,
                                            Node parentNode)
                                     throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    public void render(OWLModel kb,
                       Document doc,
                       Node parentNode)
                throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### renderFakedDifferentFrom

    protected void renderFakedDifferentFrom(Collection differentFromIndividuals,
                                            Document doc,
                                            Node parentNode)
                                     throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderClasses

    protected void renderClasses(OWLModel kb,
                                 Document doc,
                                 Node parentNode)
                          throws DIGReasonerException

  Renders the classes and their axioms

  Parameters:
    `kb` - The knowledge base that contains the classes to be rendered
    `doc` - The document that the renderings will be inseted into
    `parentNode` -
  Throws:
    `DIGReasonerException`

### renderProperties

    protected void renderProperties(OWLModel kb,
                                    Document doc,
                                    Node parentNode)
                             throws DIGReasonerException

  Renders the properties and their axioms

  Throws:
    `DIGReasonerException`

### renderIndividuals

    protected void renderIndividuals(OWLModel kb,
                                     Document doc,
                                     Node parentNode)
                              throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLNamedClass cls,
                          Document doc,
                          Node parentNode)

  Specified by:
    `render` in interface `DIGRenderer`

### render

    public boolean render(OWLSomeValuesFrom someRestriction,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLAllValuesFrom allRestriction,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    protected boolean render(OWLQuantifierRestriction quantifierRestriction,
                             Document doc,
                             Node parentNode)
                      throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderQuantifierObjectRestriction

    public boolean renderQuantifierObjectRestriction(OWLQuantifierRestriction quantifierRestriction,
                                                     Document doc,
                                                     Node parentNode)
                                              throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderQuantifierDataRestriction

    public boolean renderQuantifierDataRestriction(OWLQuantifierRestriction quantifierRestriction,
                                                   Document doc,
                                                   Node parentNode)
                                            throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLHasValue hasRestriction,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLMinCardinality minCardiRestriction,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLMaxCardinality maxCardiRestriction,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLCardinality cardiRestriction,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    protected boolean render(OWLCardinalityBase cardinalityRestriction,
                             Document doc,
                             Node parentNode,
                             String digTypeName)
                      throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLUnionClass unionCls,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLComplementClass complementCls,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLIntersectionClass intersectionCls,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    protected boolean render(OWLLogicalClass logicalCls,
                             Document doc,
                             Node parentNode,
                             String digTypeName)
                      throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLEnumeratedClass enumerationCls,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(OWLObjectProperty slot,
                          Document doc,
                          Node parentNode)

  Specified by:
    `render` in interface `DIGRenderer`

### render

    public boolean render(OWLDatatypeProperty slot,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### render

    public boolean render(RDFIndividual instance,
                          Document doc,
                          Node parentNode)
                   throws DIGReasonerException

  Specified by:
    `render` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### renderAxioms

    public void renderAxioms(OWLNamedClass cls,
                             Document doc,
                             Node parentNode)
                      throws DIGReasonerException

  Specified by:
    `renderAxioms` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### renderAxioms

    public void renderAxioms(OWLProperty property,
                             Document doc,
                             Node parentNode)
                      throws DIGReasonerException

  Specified by:
    `renderAxioms` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### renderSuperSlots

    protected void renderSuperSlots(OWLProperty property,
                                    Document doc,
                                    Node parentNode)
                             throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderEquivalentSlots

    protected void renderEquivalentSlots(OWLProperty property,
                                         Document doc,
                                         Node parentNode)
                                  throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderSlotDomain

    protected void renderSlotDomain(OWLProperty property,
                                    Document doc,
                                    Node parentNode)
                             throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderSlotRange

    protected void renderSlotRange(OWLProperty property,
                                   Document doc,
                                   Node parentNode)
                            throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderInverseSlot

    protected void renderInverseSlot(OWLProperty property,
                                     Document doc,
                                     Node parentNode)
                              throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderInverseFunctionalSlot

    protected void renderInverseFunctionalSlot(OWLProperty property,
                                               Document doc,
                                               Node parentNode)
                                        throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderTransitiveSlot

    protected void renderTransitiveSlot(OWLProperty property,
                                        Document doc,
                                        Node parentNode)
                                 throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderSymmetricSlot

    protected void renderSymmetricSlot(OWLProperty property,
                                       Document doc,
                                       Node parentNode)
                                throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderFunctionalSlot

    protected void renderFunctionalSlot(OWLProperty property,
                                        Document doc,
                                        Node parentNode)
                                 throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderAxioms

    public void renderAxioms(RDFIndividual instance,
                             Document doc,
                             Node parentNode)
                      throws DIGReasonerException

  Specified by:
    `renderAxioms` in interface `DIGRenderer`
  Throws:
    `DIGReasonerException`

### renderTypes

    protected void renderTypes(RDFIndividual instance,
                               Document doc,
                               Node parentNode)
                        throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### isSupportedTellElement

    protected boolean isSupportedTellElement(String elementTagName)

### isSupportedAskElement

    protected boolean isSupportedAskElement(String elementTagName)

### isSupportedLanguageElement

    protected boolean isSupportedLanguageElement(String elementTagName)

### logErrorOrWarning

    protected void logErrorOrWarning(RDFResource cause,
                                     String message,
                                     String recoveryMessage)
                              throws DIGReasonerException

  Throws:
    `DIGReasonerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.